Path

ez.no / documentation / extensions / ez publish extensions / ez demo / ez demo 5.3 upgrade


Caution: This documentation is for eZ Publish legacy, from version 3.x to 5.x.
For 5.x documentation covering Platform see eZ Documentation Center, for difference between legacy and Platform see 5.x Architecture overview.

eZ Demo 5.3 upgrade

Compatibility notice
Please be aware that issues can occur if eZ Webin and eZ Demo are used in the same installation. This is because the two extensions have similarities at the code level, such as class names, which will considered them as duplicated. In resume, we don't recommend or support the usage of both extensions in parallel, in the same eZ Publish installation.

1. Back-up

Before starting the eZ Publish Demo Site upgrading process, make sure that you have a working backup of the existing website state including database, extensions, INI settings, etc. During the upgrade process the existing "ezdemo" extension and its dependencies will be removed and replaced with a new version.

2. Packages

Download the following packages from http://packages.ez.no/ezpublish/5.3/ (latest version):

"ezdemo_extension.ezpkg"

"ezstarrating_extension.ezpkg"

"ezgmaplocation_extension.ezpkg"

"ezwt_extension.ezpkg"
"ezflow_extension.ezpkg"
"ezcomments_extension.ezpkg"

Go to the packages management interface in the "Administration Interface". This can be done via the "Setup" tab, where you can click on the "Packages" link in the left menu:

The package management screen

From the Repository drop-down box choose "eZ-systems" and then click on the “Change repository” button. From the list of available packages, remove the following ones:

"ezdemo_extension"

"ezstarrating_extension"

"ezgmaplocation_extension"

"ezwt_extension"

"ezflow_extension"
"ezcomments_extension"

Be sure that the repository chosen is “eZ-systems” and click on the “Import new package” button. In the next view select "ezdemo_extension" and click on the “Import package” button. Once the "ezdemo_extension" is imported click on “Install package”. In the next view choose the “Replace extension” option and click on the “Continue” button. Repeat these steps for the rest of new extensions ("ezstarrating_extension", "ezgmaplocation_extension", "ezwt_extension", “ezflow_extension” and “ezcomments_extension”).

3. Autoload update

The autoload array needs to be updated for the new extensions. In order to do so, execute the following command from the eZ Publish Legacy root folder:

$ cd /<ezpublish5-root-dir>/ezpublish_legacy/
$ php bin/php/ezpgenerateautoloads.php -e -p

4. Clear Cache

Once the upgrade script is done, you need to clear the cache by executing the following command from the eZ Publish Legacy root folder:

$ cd /<ezpublish5-root-dir>/ezpublish_legacy/
$ php bin/php/ezcache.php --clear-all --purge

Sarah Haïm-Lubczanski (23/04/2014 1:09 pm)

Sarah Haïm-Lubczanski (23/04/2014 1:22 pm)


Comments

There are no comments.